Bug 25650 - Add location and itype descriptions in ILS-DI GetRecords
Summary: Add location and itype descriptions in ILS-DI GetRecords
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-02 07:46 UTC by Julian Maurice
Modified: 2020-11-16 22:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25650: Add location and itype descriptions in ILS-DI GetRecords (1.67 KB, patch)
2020-06-02 07:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 25650: Add location and itype descriptions in ILS-DI GetRecords (1.73 KB, patch)
2020-07-20 12:09 UTC, Arthur Suzuki
Details | Diff | Splinter Review
Bug 25650: Add location and itype descriptions in ILS-DI GetRecords (1.79 KB, patch)
2020-08-07 00:14 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2020-06-02 07:46:27 UTC

    
Comment 1 Julian Maurice 2020-06-02 07:47:03 UTC
Created attachment 105480 [details] [review]
Bug 25650: Add location and itype descriptions in ILS-DI GetRecords

Test plan:
1. Create a record with an item, and set the item's shelving location
and itemtype.
2. Go to
http://<OPAC>/cgi-bin/koha/ilsdi.pl?service=GetRecords&id=<biblionumber>
3. Check that there is <itype_description> and <location_description>
and that their value is correct.
Comment 2 Arthur Suzuki 2020-07-20 12:09:27 UTC
Created attachment 107087 [details] [review]
Bug 25650: Add location and itype descriptions in ILS-DI GetRecords

Test plan:
1. Create a record with an item, and set the item's shelving location
and itemtype.
2. Go to
http://<OPAC>/cgi-bin/koha/ilsdi.pl?service=GetRecords&id=<biblionumber>
3. Check that there is <itype_description> and <location_description>
and that their value is correct.

Signed-off-by: Arthur Suzuki <arthur.suzuki@biblibre.com>
Comment 3 David Cook 2020-07-22 00:15:42 UTC
Since Julian and Arthur are both from BibLibre, this should probably be reset to "Needs Signoff".
Comment 4 Nick Clemens 2020-08-07 00:14:29 UTC
Created attachment 107932 [details] [review]
Bug 25650: Add location and itype descriptions in ILS-DI GetRecords

Test plan:
1. Create a record with an item, and set the item's shelving location
and itemtype.
2. Go to
http://<OPAC>/cgi-bin/koha/ilsdi.pl?service=GetRecords&id=<biblionumber>
3. Check that there is <itype_description> and <location_description>
and that their value is correct.

Signed-off-by: Arthur Suzuki <arthur.suzuki@biblibre.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2020-08-07 00:16:01 UTC
This works as described.

I have a question: for homebrnahcname and holdingbranchname we include the key whether or not we have a value - here the description tags are not included if the itype of location don't match an existing value - is there a reason for this?
Comment 6 Katrin Fischer 2020-08-23 01:03:19 UTC
(In reply to Nick Clemens from comment #5)
> This works as described.
> 
> I have a question: for homebrnahcname and holdingbranchname we include the
> key whether or not we have a value - here the description tags are not
> included if the itype of location don't match an existing value - is there a
> reason for this?

Julian, can you please check and comment?
Comment 7 Julian Maurice 2020-10-19 10:29:41 UTC
(In reply to Nick Clemens from comment #5)
> This works as described.
> 
> I have a question: for homebrnahcname and holdingbranchname we include the
> key whether or not we have a value - here the description tags are not
> included if the itype of location don't match an existing value - is there a
> reason for this?

No specific reason. It just seems useless to add an empty element. There is also the 'transfer' element which is not added unless there is a transfer.
Comment 8 Jonathan Druart 2020-11-05 14:25:19 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-11-16 22:01:33 UTC
enhancement will not be backported to 20.05.x